% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/barnacle.R
\docType{data}
\name{barnacle}
\alias{barnacle}
\title{Barnacle dataset.}
\format{\code{barnacle} is a data frame with 2000 cases (rows) and 
3 variables (columns).
\describe{
 \item{DW}{Dry weight (in g.)} 
 \item{RC}{Rostro-carinal lenght (in mm).}
 \item{F}{Factor indicating the sites of harvest: \code{barca} and \code{lens}.}
 }}
\usage{
barnacle
}
\description{
This barnacle data set gives the measurements of the variables 
dry weight (in g.) and rostro-carinal lenght (in mm) for 2000 barnacles 
collected along the intertidal zone from two sites of the Atlantic coast of Galicia (Spain).
}
\examples{
data(barnacle)
head(barnacle)

}
\references{
Sestelo, M. and Roca-Pardinas, J. (2011). A new approach to estimation of 
length-weight relationship of \eqn{Pollicipes}  \eqn{pollicipes} 
(Gmelin, 1789) on the Atlantic coast of Galicia (Northwest Spain): some 
aspects of its biology and management. Journal of Shellfish Research, 
30(3), 939--948.

Sestelo, M., Villanueva, N.M., Meira-Machado, L., Roca-Pardinas, J. (2017). 
npregfast: An R Package for Nonparametric Estimation and Inference in Life 
Sciences. Journal of Statistical Software, 82(12), 1-27.
}
